﻿using System;
using System.Collections.Generic;
using System.Threading;

namespace UnsafeCollection
{
    class Program
    {
        static void Main(string[] args)
        {
            List<Thread> threads = new List<Thread>();
            List<int> numbers = new List<int>(1000000);
            Random rand = new Random();
            for (int i = 0; i < 100; i++)
            {
                var thread = new Thread(() =>
                {
                    for (int l = 0; l < 1000; l++)
                        numbers.Add(rand.Next());
                });
                threads.Add(thread);
                thread.Start();
            }
            foreach (var watek in threads)
            {
                watek.Join();
            }
            Console.WriteLine($"The number of items in a regular list: {numbers.Count}");
            Console.ReadLine();
        }
    }
}
